%define module_name	lirc
%define module_version	0.7.0
%define module_release	alt7.12

%define kversion	2.4.22
%define krelease	alt12
%define flavour		std-smp

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	Drivers for LIRC devices
Name:		kernel-modules-%{module_name}-%{flavour}
Version:	1.0.%{module_version}
Release:	%{module_release}
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.kernel.org/
BuildPreReq:    kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-headers-modules-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-headers-v4l-%{kversion}-%{flavour}-%{krelease}
BuildRequires:  kernel-source-%{module_name} = %{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%flavour = %kversion-%krelease

%define v4l_release_file %_usrsrc/linux-%kversion-%flavour/kernel-modules-v4l.release
%([ -s "%v4l_release_file" ] && echo "PreReq: $(cat "%v4l_release_file")")

ExclusiveArch:	%{ix86}

%description
Support for LIRC devices.

%prep

rm -rf kernel-source-%{module_name}-%{module_version}                                                                        
                                                                                                         
tar -jxvf %kernel_src/kernel-source-%{module_name}-%{module_version}.tar.bz2
                                                                                                         
%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%build
cd drivers
subst "s%\"../drivers/media/video/bttv\(p\?\)\.h\"%<bttv\\1\.h>%" */*
for f in `ls | grep lirc_`; do
    [ "$f" == "lirc_parallel" -a -n "`echo '%{flavour}'|grep 'smp'`" ] && continue
    %make_build -C $f $f.o HEADERS=%_includedir/linux-%{kversion}-%{flavour}/include CC=%kcc CFLAGS="-O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -mpreferred-stack-boundary=2 -march=i586 -DMODVERSIONS -include %_includedir/linux-%{kversion}-%{flavour}/include/linux/modversions.h -I%_usrsrc/linux-%{kversion}-%{flavour}/drivers/media/video/"
done

%install
mkdir -p $RPM_BUILD_ROOT/%{module_dir}
cd drivers
for f in `ls | grep lirc_`; do
    [ "$f" == "lirc_parallel" -a -n "`echo '%{flavour}'|grep 'smp'`" ] && continue
    cp $f/$f.o $RPM_BUILD_ROOT/%{module_dir}/
done

%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt7.12
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt6.12
- Rebuild with updated kernel-modules-v4l.
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Thu Oct 30 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt5.12
- Rebuild with updated kernel-modules-v4l.

* Tue Oct 14 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt4.12
- Added PreReq for appropriate version of kernel-modules-v4l.

* Tue Oct 07 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt3.12
- BuildRequires changed for new w4l

* Tue Sep 30 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.7.0-alt2.12
- fixed compilation options (problems with MODVERSIONS)

* Fri Sep 19 2003 Kachalov Anton <mouse@altlinux.ru> 1.0.0.7.0-alt1.12
- first build
